最新11选5加奖 www.vliklb.com.cn 當我們在PHP空間上傳部署心愛的網站的時候,都是需要有一個步驟是安裝,但是從無憂主機小編測試的結果來看,除了php版本不支持外,能遇到不能安裝的程序還是比較少的,但是就是有一位站長朋友使用的是某某空間商的主機,就是在安裝phpweb的時候出現了問題,就是當訪問安裝的是就是提示無案發連接驗證服務器,剛開始認為是程序的問題,所以一直在哪里需找問題的所在,可拿到無憂主機小編自己的主機上面測試的時候沒有此問題的發生,故原因就不是在程序這塊了,可能是主機限制了什么導致的。那是什么問題導致的呢?經過無憂主機小編查看各個資料顯示得出的結論如下:

這個問題的主要的原因還是由于服務器的環境fsockopen函數沒有開啟造成的,可能站長朋友有疑問為什么沒有開啟呢?由于各個主機商在安全機制上面設置不一樣,可能會把fsockopen函數默認進行關閉,以達到安全的狀態,那么找到了這個問題解決的方法就簡單了。

既然fsockopen函數默認關閉,那么pfsockopen函數就絕對是能用的,不可能這兩個的關閉的,不然這個主機商會出現很多的程序的不支持的。

找到了問題,就需要我們去處理,那么就找到base\nusoap\nusoap.php,打開編輯nusoap.php,使用ctrl+f然后輸入fsockopen進行查找,從編輯器上查看,此代碼所在的位置是在1650-1652行。把fsockopen替換為pfsockopen函數即可解決這個問題。

然后進行上傳覆蓋,這個時候再進行訪問安裝的時候,就不會出現這樣的問題了。如果還有此問題,請您聯系您的主機商協助您處理。

以上是無憂主機獨立IP空間為您帶來的介紹。

本文地址://www.vliklb.com.cn/phpweb-2/28389.html

喜歡本文或覺得本文對您有幫助,請分享給您的朋友 ^_^

閱讀本文的人還閱讀: